## org.apache.bcel.generic
Class LDC_W

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.CPInstruction
                  |
                  +--org.apache.bcel.generic.LDC
                        |
                        +--org.apache.bcel.generic.LDC_W

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, IndexedInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class LDC_W
extends LDC

LDC_W - Push item from constant pool (wide index)

    Stack: ... -> ..., item.word1, item.word2

Version:
  $Id: LDC_W.java,v 1.3 2002/12/08 16:04:37 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LDC_W(int index)`

Method Summary
`protected void` `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (i.e., index) from file.

Methods inherited from class org.apache.bcel.generic.LDC
`accept, dump, getExceptions, getType, getValue, setIndex, setSize`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`getIndex, toString, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### LDC_W

    public LDC_W(int index)

Method Detail

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (i.e., index) from file.

  Overrides:
    `initFromFile` in class `LDC`
  Parameters:
    `bytes` - input stream
    `wide` - wide prefix?
    `java.io.IOException`

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.